Package Details: powerline-fonts-git r202.e80e3eb-1

Git Clone URL: https://aur.archlinux.org/powerline-fonts-git.git (read-only, click to copy)
Package Base: powerline-fonts-git
Description: Patched fonts for Powerline users
Upstream URL: https://github.com/powerline/fonts
Licenses: CPL
Conflicts: otf-droid-sans-mono-powerline-git, otf-fura-mono-powerline-git, otf-inconsolata-dz-powerline-git, otf-inconsolata-g-powerline-git, otf-inconsolata-powerline-git, otf-sauce-code-powerline-git, powerline-fonts, terminess-powerline-font-git, ttf-anonymice-powerline-git, ttf-dejavu-sans-mono-powerline-git, ttf-droid-sans-mono-dotted-powerline-git, ttf-droid-sans-mono-slashed-powerline-git, ttf-hack, ttf-hack-powerline-git, ttf-literation-mono-powerline-git, ttf-monofur-powerline-git, ttf-ubuntu-mono-derivative-powerline-git
Provides: powerline-fonts, ttf-hack
Submitter: quixoten
Maintainer: ava1ar
Last Packager: ava1ar
Votes: 155
Popularity: 0.012970
First Submitted: 2013-06-17 17:51
Last Updated: 2020-07-25 15:14

Required by (22)

Sources (1)

Latest Comments

1 2 3 4 Next › Last »

ava1ar commented on 2020-07-25 15:21

I adopted the package and made following changes:

- replaced xorg-font-utils with xorg-mkfontscale
- cleaned non-existing packages from conflicts list
- added powerline-fonts to the provides list

Let me know if there are any suggestions for PKGBUILD.

agorg_louk commented on 2020-06-29 21:00

Package xorg-font-utils is now removed from Arch repositories, please replace with xorg-mkfontscale.

jadenPete commented on 2019-03-16 18:08

Could you make this package provide the fonts it replaces?

jeancf commented on 2019-02-13 14:51

I am trying to remove this package but I get error: failed to prepare transaction (could not satisfy dependencies) :: plasma-integration: removing powerline-fonts-git breaks dependency 'ttf-hack'

pemb commented on 2017-06-08 04:49

Conflicts with ttf-google-fonts-git, the Space Mono fonts, specifically. There are non-powerline files for that font, apparently? PTAL.

zombiemeat commented on 2016-10-06 19:13

failed when plasma-integration tried to install ttf-hack, probably add provides directives?
provides=(
ttf-hack
)

quixoten commented on 2016-02-03 17:20

Updated.

Archer777 commented on 2016-02-03 14:10

@pemb Removing parentheses from url string will fix it
url='https://github.com/powerline/fonts'

pemb commented on 2016-02-01 18:29

Build fails with "ERROR: url should not be an array", fix is trivial.

bytee commented on 2016-01-04 17:31

@quixoten Hmm weird, works for me now too. Maybe i screwed something up changing the PKGBUILD :) Thank you for the update!